#
# Conditional build:
%bcond_without	apidocs		# gi-docgen based API documentation
%bcond_without	vala		# Vala API
%bcond_without	static_libs	# static library

Summary:	UPnP library based on GObject and libsoup
Summary(pl.UTF-8):	Biblioteka UPnP oparta na bibliotekach GObject i libsoup
Name:		gupnp1.6
# note: 1.6.x is stable, 1.7.x unstable
Version:	1.6.8
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	https://download.gnome.org/sources/gupnp/1.6/gupnp-%{version}.tar.xz
# Source0-md5:	6152851a7e731f45eaf0b77263567c23
URL:		https://wiki.gnome.org/Projects/GUPnP
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-dtd44-xml
BuildRequires:	docbook-dtd45-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	glib2-devel >= 1:2.70
BuildRequires:	gobject-introspection-devel >= 1.36.0
BuildRequires:	gssdp1.6-devel >= 1.6.2
%{?with_apidocs:BuildRequires:	gi-docgen >= 2021.1}
BuildRequires:	libsoup3-devel >= 3.0
BuildRequires:	libxml2-devel >= 1:2.6.30
BuildRequires:	libxslt-progs
BuildRequires:	meson >= 0.54.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
%{?with_vala:BuildRequires:	vala >= 2:0.20}
%{?with_vala:BuildRequires:	vala-gssdp1.6 >= 1.6.2}
BuildRequires:	xz
Requires:	glib2 >= 1:2.70
Requires:	gssdp1.6 >= 1.6.2
Requires:	libsoup3 >= 3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

%description -l pl.UTF-8
GUPnp to zorientowany obiektowo, mający otwarte źródła szkielet do
tworzenia urządzeń i punktów sterujących UPnP, napisany w C z użyciem
bibliotek GObject i libsoup. API GUPnp ma być łatwe w użyciu, wydajne
i elastyczne.

%package devel
Summary:	Header files for gupnp
Summary(pl.UTF-8):	Pliki nagłówkowe gupnp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.70
Requires:	gssdp1.6-devel >= 1.6.2
Requires:	libsoup3-devel >= 3.0
Requires:	libxml2-devel >= 1:2.6.30

%description devel
This package contains header files for the Linux SDK for UPnP Devices
(gupnp).

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe dla linuksowego pakietu
programistycznego do urządzeń UPnP (gupnp).

%package static
Summary:	Static gupnp libraries
Summary(pl.UTF-8):	Statyczne biblioteki gupnp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gupnp libraries.

%description static -l pl.UTF-8
Statyczne biblioteki gupnp.

%package apidocs
Summary:	gupnp API documentation
Summary(pl.UTF-8):	Dokumentacja API gupnp
Group:		Documentation
BuildArch:	noarch

%description apidocs
gupnp API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API gupnp.

%package -n vala-gupnp1.6
Summary:	Vala API for gupnp library
Summary(pl.UTF-8):	API języka Vala dla biblioteki gupnp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.20
Requires:	vala-gssdp1.6 >= 1.6.2
BuildArch:	noarch

%description -n vala-gupnp1.6
Vala API for gupnp library.

%description -n vala-gupnp1.6 -l pl.UTF-8
API języka Vala dla biblioteki gupnp.

%prep
%setup -q -n gupnp-%{version}

%build
%meson \
	%{!?with_static_libs:--default-library=shared} \
	-Dcontext_manager=network-manager \
	%{?with_apidocs:-Dgtk_doc=true}

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%if %{with apidocs}
install -d $RPM_BUILD_ROOT%{_gidocdir}
%{__mv} $RPM_BUILD_ROOT%{_docdir}/gupnp-1.6 $RPM_BUILD_ROOT%{_gidocdir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%attr(755,root,root) %{_bindir}/gupnp-binding-tool-1.6
%attr(755,root,root) %{_libdir}/libgupnp-1.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgupnp-1.6.so.0
%{_libdir}/girepository-1.0/GUPnP-1.6.typelib
%{_mandir}/man1/gupnp-binding-tool-1.6.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgupnp-1.6.so
%{_datadir}/gir-1.0/GUPnP-1.6.gir
%{_includedir}/gupnp-1.6
%{_pkgconfigdir}/gupnp-1.6.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgupnp-1.6.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gidocdir}/gupnp-1.6
%endif

%if %{with vala}
%files -n vala-gupnp1.6
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/gupnp-1.6.deps
%{_datadir}/vala/vapi/gupnp-1.6.vapi
%endif
%changelog
* Fri Feb 21 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gupnp1.6.git;a=log;h=master

* Fri Feb 21 2025 Jakub Bogusz <qboosh@pld-linux.org> f1f6688
- updated to 1.6.8

* Wed Sep 25 2024 Jakub Bogusz <qboosh@pld-linux.org> 43d5d08
- updated to 1.6.7

* Thu May 30 2024 Jan Palus <atler@pld-linux.org> 449dfa0
- add static_libs bcond

* Sun Nov 12 2023 Jakub Bogusz <qboosh@pld-linux.org> b5dd2e5
- updated to 1.6.6

* Wed Sep 27 2023 Jakub Bogusz <qboosh@pld-linux.org> d308545
- post gtk-doc cleanup

* Wed Sep 27 2023 Jakub Bogusz <qboosh@pld-linux.org> f593a52
- use _gidocdir for apidocs

* Thu Aug 17 2023 Jakub Bogusz <qboosh@pld-linux.org> 57748d5
- updated to 1.6.5

* Sun Jul 02 2023 Jakub Bogusz <qboosh@pld-linux.org> b431632
- updated to 1.6.4

* Sat Mar 25 2023 Jakub Bogusz <qboosh@pld-linux.org> b2ed015
- gupnp updated to 1.6.3 as gupnp1.6 (libsoup3 based, parallel installable with libsoup 2.x based gupnp 1.4.x)

* Wed Nov 09 2022 Jakub Bogusz <qboosh@pld-linux.org> 000b510
- updated to 1.4.4
- removed obsolete man patch

* Fri Jan 14 2022 Jakub Bogusz <qboosh@pld-linux.org> 467dadd
- updated to 1.4.3

* Sun Jan 09 2022 Jakub Bogusz <qboosh@pld-linux.org> 9d51683
- updated to 1.4.2
- added man patch to unblock man building

* Tue Dec 07 2021 Jakub Bogusz <qboosh@pld-linux.org> f150a4a
- updated to 1.4.1

* Sun Sep 19 2021 Jakub Bogusz <qboosh@pld-linux.org> e7cd5e1
- updated to 1.4.0

* Mon Jun 07 2021 Jakub Bogusz <qboosh@pld-linux.org> e5d575d
- updated to 1.2.7
- removed obsolete format patch

* Sun May 30 2021 Jakub Bogusz <qboosh@pld-linux.org> 6008d9e
- updated to 1.2.6
- added format patch (add format strings in example)

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 97da729
- unconditional noarch subpackages

* Mon Aug 17 2020 Jakub Bogusz <qboosh@pld-linux.org> 2915b4a
- updated to 1.2.4

* Tue Jun 23 2020 Jakub Bogusz <qboosh@pld-linux.org> 3bbf163
- updated to 1.2.3 (partial fix + mitigations for CVE-2020-12695)

* Fri Jan 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 43309f6
- updated to 1.2.2

